Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

cant initially run gap4 under staden-linux-x8

2006-10-20
2013-04-18
  • Hi,

    I've just installed staden-linux-x86-1-7-0 and io_lib_1.10.1 (default parameters) on RHAS4 (kernel 2.6.9-42.0.2.ELsmp) and "out of the box" I cant run any of the staden executables. I get this message:
    ./pregap4
    stash: error while loading shared libraries: libssl.so.0.9.7: cannot open shared object file: No such file or directory

    A dirty fix was to copy the existing
    /lib/libssl.so.0.9.7a
    to
    /lib/libssl.so.0.9.7

    I then get the error message
    ./pregap4
    stash: error while loading shared libraries: libcrypto.so.0.9.7: cannot open shared object file: No such file or directory

    which again can be solved by copying
    /lib/libcrypto.so.0.9.7a
    to
    /lib/libcrypto.so.0.9.7

    Now all the staden executables are working. However, this seems like a very dirty fix and maybe it should be corrected in the next staden release...

    Marcus

     
    • I'm same error message
      stash: error while loading shared libraries: libssl.so.0.9.7: cannot open shared object file: No such file or directory
      but i don't have libssl.so.0.9.7, i have libssl.so.0.9.8.
      where i can find libssl.so.0.9.7, please?
      Thanks

       
    • search on your librairies libssl.so.0.9.7a and rename file by libssl.so.0.9.7a